Activity log for bug #1755587

Date Who What changed Old value New value Message
2018-03-13 20:30:58 Chris Newcomer bug added bug
2018-03-13 20:38:39 Andres Rodriguez maas: status New Incomplete
2018-03-13 20:40:34 Chris Newcomer description This is reproduced by opening up the subnet page and clicking on "Edit" and changing the fabric to point to another fabric. The result is that the value reverts back to the original setting and doesn't get saved. Expected result: To have the new fabric id retained after the settings are saved. Please let me know if you need more detail. Thanks. Package versions: Desired=Unknown/Install/Remove/Purge/Hold | Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend |/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad) ||/ Name Version Architecture Description +++-===============================-====================================-============-================================================= ii maas 2.3.0-6434-gd354690-0ubuntu1~16.04.1 all "Metal as a Service" is a physical cloud and IPAM ii maas-cli 2.3.0-6434-gd354690-0ubuntu1~16.04.1 all MAAS client and command-line interface ii maas-common 2.3.0-6434-gd354690-0ubuntu1~16.04.1 all MAAS server common files ii maas-dhcp 2.3.0-6434-gd354690-0ubuntu1~16.04.1 all MAAS DHCP server ii maas-dns 2.3.0-6434-gd354690-0ubuntu1~16.04.1 all MAAS DNS server ii maas-image-builder 1.0.8+84.gc01c341-0ubuntu1 all Library and tools for the MAAS Image Builder ii maas-proxy 2.3.0-6434-gd354690-0ubuntu1~16.04.1 all MAAS Caching Proxy ii maas-rack-controller 2.3.0-6434-gd354690-0ubuntu1~16.04.1 all Rack Controller for MAAS ii maas-region-api 2.3.0-6434-gd354690-0ubuntu1~16.04.1 all Region controller API service for MAAS ii maas-region-controller 2.3.0-6434-gd354690-0ubuntu1~16.04.1 all Region Controller for MAAS un maas-region-controller-min <none> <none> (no description available) un python-django-maas <none> <none> (no description available) un python-maas-client <none> <none> (no description available) un python-maas-provisioningserver <none> <none> (no description available) ii python3-django-maas 2.3.0-6434-gd354690-0ubuntu1~16.04.1 all MAAS server Django web framework (Python 3) ii python3-maas-client 2.3.0-6434-gd354690-0ubuntu1~16.04.1 all MAAS python API client (Python 3) ii python3-maas-provisioningserver 2.3.0-6434-gd354690-0ubuntu1~16.04.1 all MAAS server provisioning libraries (Python 3) This is reproduced by opening up the subnet page and clicking on "Edit" and changing the fabric to point to another fabric. The result is that the value reverts back to the original setting and doesn't get saved. Expected result: To have the new fabric id retained after the settings are saved. Please let me know if you need more detail. Thanks. Package versions: Desired=Unknown/Install/Remove/Purge/Hold | Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend |/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad) ||/ Name Version Architecture Description +++-===============================-====================================-============-================================================= ii maas 2.3.0-6434-gd354690-0ubuntu1~16.04.1 all "Metal as a Service" is a physical cloud and IPAM ii maas-cli 2.3.0-6434-gd354690-0ubuntu1~16.04.1 all MAAS client and command-line interface ii maas-common 2.3.0-6434-gd354690-0ubuntu1~16.04.1 all MAAS server common files ii maas-dhcp 2.3.0-6434-gd354690-0ubuntu1~16.04.1 all MAAS DHCP server ii maas-dns 2.3.0-6434-gd354690-0ubuntu1~16.04.1 all MAAS DNS server ii maas-proxy 2.3.0-6434-gd354690-0ubuntu1~16.04.1 all MAAS Caching Proxy ii maas-rack-controller 2.3.0-6434-gd354690-0ubuntu1~16.04.1 all Rack Controller for MAAS ii maas-region-api 2.3.0-6434-gd354690-0ubuntu1~16.04.1 all Region controller API service for MAAS ii maas-region-controller 2.3.0-6434-gd354690-0ubuntu1~16.04.1 all Region Controller for MAAS ii python3-django-maas 2.3.0-6434-gd354690-0ubuntu1~16.04.1 all MAAS server Django web framework (Python 3) ii python3-maas-client 2.3.0-6434-gd354690-0ubuntu1~16.04.1 all MAAS python API client (Python 3) ii python3-maas-provisioningserver 2.3.0-6434-gd354690-0ubuntu1~16.04.1 all MAAS server provisioning libraries (Python 3)
2018-03-13 20:57:02 Chris Newcomer attachment added subnet.out https://bugs.launchpad.net/maas/+bug/1755587/+attachment/5078616/+files/subnet.out
2018-03-13 21:30:22 Andres Rodriguez maas: status Incomplete New
2018-03-13 21:30:25 Andres Rodriguez maas: milestone 2.4.0beta1
2018-03-13 21:30:31 Andres Rodriguez nominated for series maas/2.3
2018-03-13 21:30:31 Andres Rodriguez bug task added maas/2.3
2018-03-13 21:30:38 Andres Rodriguez maas/2.3: milestone 2.3.2
2018-03-13 21:35:30 Andres Rodriguez summary [2.3, UI] Can not change fabric value on subnet page [2.3, 2.4, UI, b1] Can not change fabric value on subnet page
2018-03-13 21:35:37 Andres Rodriguez maas: importance Undecided Medium
2018-03-13 21:35:38 Andres Rodriguez maas/2.3: importance Undecided Medium
2018-03-13 21:35:40 Andres Rodriguez maas: status New Triaged
2018-03-13 21:35:42 Andres Rodriguez maas/2.3: status New Triaged
2018-03-22 22:47:44 Kellen Renshaw tags sts
2018-03-22 22:48:15 Kellen Renshaw bug added subscriber Kellen Renshaw
2018-03-22 23:22:24 Andres Rodriguez maas: milestone 2.4.0beta1 2.4.0beta2
2018-03-30 00:43:52 Andres Rodriguez maas: importance Medium High
2018-03-30 00:43:54 Andres Rodriguez maas/2.3: importance Medium High
2018-03-30 00:44:00 Andres Rodriguez maas: assignee Mike Pontillo (mpontillo)
2018-04-03 00:18:29 Launchpad Janitor merge proposal linked https://code.launchpad.net/~mpontillo/maas/+git/maas/+merge/342531
2018-04-03 00:19:38 Mike Pontillo maas: status Triaged In Progress
2018-04-03 00:19:39 Mike Pontillo maas/2.3: status Triaged Confirmed
2018-04-03 00:19:42 Mike Pontillo maas/2.3: status Confirmed In Progress
2018-04-03 00:19:44 Mike Pontillo maas/2.3: assignee Mike Pontillo (mpontillo)
2018-04-03 02:16:58 MAAS Lander maas: status In Progress Fix Committed
2018-04-10 17:09:41 Andres Rodriguez maas/2.3: milestone 2.3.2 2.3.3
2018-04-11 07:05:26 Alberto Colla bug added subscriber Alberto Colla
2018-04-17 17:52:26 Andres Rodriguez maas: status Fix Committed Fix Released
2018-05-17 14:59:31 Andres Rodriguez maas/2.3: milestone 2.3.3 2.3.4
2018-07-31 15:06:22 Andres Rodriguez maas/2.3: milestone 2.3.4 2.3.5
2018-08-17 14:42:48 Andres Rodriguez maas/2.3: milestone 2.3.5 2.3.6
2019-05-31 14:11:24 Andres Rodriguez maas/2.3: milestone 2.3.6 2.3.x